stages:
  - build
  - sbom
  - vulnerabilities

variables:
  IMAGE_NAME: $CI_REGISTRY/centos/integration/containers/tmt
build:
  image: docker:20.10.24
  stage: build
  services:
    - docker:20.10.24-dind
  script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build -f Containerfile -t $IMAGE_NAME:latest .
    - docker push $IMAGE_NAME:latest

sbom:
  image: docker.io/redhat/ubi9-minimal:latest
  stage: sbom
  script:
    - curl -LO https://github.com/anchore/syft/releases/download/v0.96.0/syft_0.96.0_linux_amd64.rpm
    - rpm -i syft*.rpm
    - syft $IMAGE_NAME:latest --output spdx-json=sbom.spdx
  artifacts:
    paths:
    - sbom.spdx
    expire_in: 3 mos

vulnerabilities:
  image: docker.io/redhat/ubi9-minimal:latest
  stage: vulnerabilities
  script:
    - curl -LO https://github.com/anchore/grype/releases/download/v0.73.1/grype_0.73.1_linux_amd64.rpm
    - rpm -i grype*.rpm
    - grype sbom:sbom.spdx --output json=vulnerabilities.json
  artifacts:
    paths:
    - vulnerabilities.json
    expire_in: 3 mos
